Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.injac.cocoon.generators
Class WebdavGenerator

    java.lang.Object
      org.apache.avalon.framework.logger.AbstractLogEnabled
          org.apache.cocoon.xml.AbstractXMLProducer
              org.apache.cocoon.generation.AbstractGenerator
                  org.apache.cocoon.generation.ServiceableGenerator
                      org.injac.cocoon.generators.WebdavGenerator

All Implemented Interfaces:
  org.apache.avalon.framework.component.Component, org.apache.avalon.framework.activity.Disposable, org.apache.cocoon.generation.Generator, org.apache.avalon.framework.logger.LogEnabled, org.apache.avalon.excalibur.pool.Poolable, org.apache.avalon.excalibur.pool.Recyclable, org.apache.avalon.framework.service.Serviceable, org.apache.cocoon.sitemap.SitemapModelComponent, org.apache.cocoon.xml.XMLProducer

public class WebdavGenerator
extends org.apache.cocoon.generation.ServiceableGenerator
implements org.apache.cocoon.generation.Generator

Generates an XML metadatas listing from a webdav(slide) resource. *

> MD:response
>   root element
> @directory
>   name of the root directory

> MD:resource
>   resource element containing all MD as attributes
> @name
>   name of the resource
> @creationdate
>   resource creation date
> @modificationdate
>   resource last modification date
> @displayname
>   alternative name for display
> @resourcetype
>   possible values are D for directory and F for file
> @source
>   source url
> @getcontentlength
>   resource size
> @getcontentlanguage
>   code for resource language ex: en
> @getcontenttype
>   resource mime type ex : text/xml
> custom metadatas
>   any metadata defined for a resource

Configuration options:

`src`
  sitemap parameter defines the root path to the webdav resource to harvest.
depht
  depth of the harvest : 0, n, or infinity

Version:
  1.0
Author:
  François Jannin (ENSEEIHT)

Field Summary

Fields inherited from interface org.apache.cocoon.generation.Generator
`ROLE`

Constructor Summary
`WebdavGenerator()`

Method Summary
`void` | `connect(java.lang.String connexionString)` Connect to the WebDAV server
`void` | `generate()`
`void` | `setup(org.apache.cocoon.environment.SourceResolver resolver, java.util.Map objectModel, java.lang.String src, org.apache.avalon.framework.parameters.Parameters par)` -Set the request parameters.

Methods inherited from class org.apache.cocoon.generation.ServiceableGenerator
`dispose, service`

Methods inherited from class org.apache.cocoon.generation.AbstractGenerator
`recycle`

Methods inherited from class org.apache.cocoon.xml.AbstractXMLProducer
`setConsumer, setContentHandler, setLexicalHandler`

Methods inherited from class org.apache.avalon.framework.logger.AbstractLogEnabled
`enableLogging`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.cocoon.xml.XMLProducer
`setConsumer`

Constructor Detail

### WebdavGenerator

    public WebdavGenerator()

Method Detail

### setup

    public void setup(org.apache.cocoon.environment.SourceResolver resolver,
                      java.util.Map objectModel,
                      java.lang.String src,
                      org.apache.avalon.framework.parameters.Parameters par)
               throws org.apache.cocoon.ProcessingException,
                      org.xml.sax.SAXException,
                      java.io.IOException

  -Set the request parameters. Must be called before the generate method. -Stock keys for caching.

  Specified by:
    `setup` in interface `org.apache.cocoon.sitemap.SitemapModelComponent`
  Parameters:
    `resolver` - the SourceResolver object
    `objectModel` - a `Map` containing model object
    `src` - the directory to be XMLized specified as src attribute on <map:generate/>
    `par` - configuration parameters
  Throws:
    `org.apache.cocoon.ProcessingException`
    `org.xml.sax.SAXException`
    `java.io.IOException`

### generate

    public void generate()
                  throws java.io.IOException,
                         org.xml.sax.SAXException,
                         org.apache.cocoon.ProcessingException

  Specified by:
    `generate` in interface `org.apache.cocoon.generation.Generator`
  Throws:
    `java.io.IOException`
    `org.xml.sax.SAXException`
    `org.apache.cocoon.ProcessingException`

### connect

    public void connect(java.lang.String connexionString)
                 throws java.lang.Exception

  Connect to the WebDAV server

  Throws:
    `java.rmi.ServerException`
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD